﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace PluginApiDetails
{
    public partial class Details : Form
    {
        public String mSourceUrl;
        public String mBackColor;
        public String mCursorPosition;
        public String mFontfamily;
        public String mFontSize;
        public String mForeColor;
        public String mStyle;
        public List<KeyValuePair<string, string>> mDocuments;
        public String mDocumentText;
        public String mDocumentXml;
        public String mSelectionText;

        public Details (String sourceUrl, String backColor, String cursorPosition,
                       String fontfamily, String fontSize, String foreColor,
                       String style, List<KeyValuePair<string, string>> documents,
                       String documentText, String documentXml, String selectionText)
        {
            InitializeComponent();
            mSourceUrl = sourceUrl;
            mBackColor = backColor;
            mCursorPosition = cursorPosition;
            mFontfamily = fontfamily;
            mFontSize = fontSize;
            mForeColor = foreColor;
            mStyle = style;
            mDocuments = documents;
            mDocumentText = documentText;
            mDocumentXml = documentXml;
            mSelectionText = selectionText;
        }

        public Details()
        {
            InitializeComponent();
        }

        private void PluginApiDetails_Load(object sender, EventArgs e)
        {
            labelActiveDocumentSourceUrl.Text = mSourceUrl;
            labelBackColor.Text = mBackColor;
            labelCursorPosition.Text = mCursorPosition;
            labelFontFamily.Text = mFontfamily;
            labelFontSize.Text = mFontSize;
            labelForeColor.Text = mForeColor;
            labelStyle.Text = mStyle;
            textBoxDocumentText.Text = mSelectionText;

            foreach (KeyValuePair<string, string> doc in mDocuments)
            {

                dataGridViewDocuments.Rows.Add(doc.Key, doc.Value);
            }
        }

        private void buttonDocumentText_Click(object sender, EventArgs e)
        {
            System.Windows.Forms.MessageBox.Show(mDocumentText);
        }

        private void buttonDocumentXml_Click(object sender, EventArgs e)
        {
            System.Windows.Forms.MessageBox.Show(mDocumentXml);
        }

    }
}
